summaryrefslogtreecommitdiffstats
path: root/draklive-install-lock-storage
diff options
context:
space:
mode:
Diffstat (limited to 'draklive-install-lock-storage')
-rwxr-xr-xdraklive-install-lock-storage8
1 files changed, 8 insertions, 0 deletions
diff --git a/draklive-install-lock-storage b/draklive-install-lock-storage
new file mode 100755
index 0000000..e003053
--- /dev/null
+++ b/draklive-install-lock-storage
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+CMD=/usr/sbin/draklive-install
+
+hal-lock --interface org.freedesktop.Hal.Device.Storage --exclusive --run $CMD
+# run without hal lock if it fails
+[ "$?" != 0 ] && $CMD
+